Description

After upgrading to puppet4 smart proxy is not able to detect puppet and puppetca. All other modules are disabled also

foreman-proxy/proxy.log

I, [2017-02-16T14:08:55.781087 #2651]  INFO -- : 'bmc' module is disabled.

I, [2017-02-16T14:08:55.781338 #2651]  INFO -- : 'realm' module is disabled.

W, [2017-02-16T14:10:43.469678 #2788]  WARN -- : Couldn't find settings file /etc/foreman-proxy/settings.d/foreman_proxy.yml.

Using defaul

t settings.

I, [2017-02-16T14:10:43.469836 #2788]  INFO -- : 'foreman_proxy' settings were initialized with default values: :enabled: true

I, [2017-02-16T14:10:43.472855 #2788]  INFO -- : 'facts' module is disabled.

I, [2017-02-16T14:10:43.473046 #2788]  INFO -- : 'dns' module is disabled.

I, [2017-02-16T14:10:43.473205 #2788]  INFO -- : 'templates' module is disabled.

I, [2017-02-16T14:10:43.476298 #2788]  INFO -- : 'dhcp' module is disabled.

E, [2017-02-16T14:10:43.481528 #2788] ERROR -- : Couldn't enable plugin puppetca: Gem loading error: no such file to load --

puppet:/usr/l

ib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:30:in

`strict_error'/n/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0

/lib/bundler_ext/bundler_ext.rb:56:in

`system_require'/n/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in

`each'/n/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in

`system_require'/n/usr/share/foreman-proxy/lib

/bundler_helper.rb:22:in `require_groups'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:161:in

`configure_plugin'/n/usr/share/foreman-prox

y/lib/proxy/plugin.rb:24:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:24:in

`each'/n/usr/share/foreman-prox

y/lib/proxy/plugin.rb:24:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/smart_proxy.rb:124:in `launch'/n./smart-proxy:6

I, [2017-02-16T14:10:43.481789 #2788]  INFO -- : 'puppet' settings were initialized with default values: :puppet_provider: puppetrun,

:pup

petdir: /etc/puppet, :salt_puppetrun_cmd: puppet.run, :use_cache: true

E, [2017-02-16T14:10:43.486935 #2788] ERROR -- : Couldn't enable plugin puppet: Gem loading error: no such file to load --

puppet:/usr/lib

/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:30:in

`strict_error'/n/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/l

ib/bundler_ext/bundler_ext.rb:56:in

`system_require'/n/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in `

each'/n/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in

`system_require'/n/usr/share/foreman-proxy/lib/b

undler_helper.rb:22:in `require_groups'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:161:in

`configure_plugin'/n/usr/share/foreman-proxy/

lib/proxy/plugin.rb:24:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:24:in

`each'/n/usr/share/foreman-proxy/

lib/proxy/plugin.rb:24:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/smart_proxy.rb:124:in `launch'/n./smart-proxy:6

I, [2017-02-16T14:10:43.487106 #2788]  INFO -- : 'bmc' module is disabled.

I, [2017-02-16T14:10:43.487350 #2788]  INFO -- : 'realm' module is disabled.

History

#1 - 02/17/2017 03:03 AM - Dominic Cleal

05/20/2024 1/3

https://projects.theforeman.org/issues/2651
https://projects.theforeman.org/issues/2651
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788
https://projects.theforeman.org/issues/2788


Which version of the smart proxy are you using? The log doesn't look recent. You need at least version 1.12.0, preferably 1.14.x.

#2 - 02/21/2017 12:41 PM - Neeraj Harikrishnan

I am using foreman 1.12. I am still running on centos 6.8 and hence cannot upgrade to Foreman-1.14.  I cannot reproduce the above error anymore. I

tried to reinstall foreman-proxy 1.12 and have gotten into a different dependency problem now.

Now the problem is I cannot install smart proxy

Error: Package: foreman-proxy-1.12.4-1.el6.noarch (foreman)

Requires: rubygem(sinatra)

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

[root@saba3 tmp]# gem list

LOCAL GEMS ***

ansi (1.4.3)

bundler (1.14.4, 1.5.2)

bundler_ext (0.3.0)

clamp (1.0.0)

docker-api (1.33.0)

excon (0.54.0)

fast_gettext (1.1.0)

ffi (1.4.0)

gettext (3.2.2)

gettext-setup (0.13)

gssapi (1.1.2)

hashie (2.0.5)

hiera (3.2.2)

highline (1.6.21)

json (1.5.5)

json_pure (1.8.6)

kafo (0.9.2)

kafo_parsers (0.1.6, 0.1.2)

kafo_wizards (0.0.1)

little-plugger (1.1.3)

locale (2.1.2)

logging (1.8.2)

multi_json (1.10.1)

net-http-persistent (2.9.4)

passenger (4.0.18)

powerbar (1.0.17)

rack (1.6.5, 1.1.0)

rack-protection (1.5.3)

rake (0.8.7)

rdoc (3.12)

rkerberos (0.1.3)

rubyipmi (0.10.0)

sinatra (1.0)

text (1.3.1)

thor (0.18.1)

tilt (2.0.6)

[root@saba3 tmp]# rpm -qa |grep sinatra

sclo-ror42-rubygem-sinatra-1.4.6-4.el6.noarch

ruby193-rubygem-sinatra-1.3.2-12.sc1.el6.noarch

If I should be creating a new ticket for the above issues please advice and feel free to close this one.

 Thanks in advance for the help

Neeraj

#3 - 02/21/2017 02:17 PM - Neeraj Harikrishnan

So it turns out rubygem-sinatra-1.0 is no more available in epel repository and foreman-proxy still expects to see it. I fortunately had a local copy of

the rpm and am up and running again. This rpm should probably be added to foreman.repo

Please feel free to close this ticket.

Neeraj

#4 - 02/22/2017 03:03 AM - Dominic Cleal
- Status changed from New to Resolved
